Need a flashcart that supports it all. Does it exist?

Discussion in '3DS - Flashcards & Custom Firmwares' started by fetoll, May 1, 2017.

  1. fetoll
    OP

    fetoll Newbie

    Newcomer
    7
    0
    May 1, 2017
    Bare with me here, I am a huge noob. And before you link that comparison chart, just know that ive looked at it. As I was saying, huge noob here.

    So, deciding to play through most of my games in my backlog, I recently bought a New Nintendo 3ds XL for very cheap, planning on buying a flashcard for my console which i did, and that flashcard was Sky3ds+ which I also got for very cheap.

    The thing is, that card allowed me to update my firmware and play all new games very easily by just copy and paste all that yaddiyadda. Easy for a beginner. And it works like a charm.

    But then I also got in to thinking that I want to play original DS games. Which the 3DS can do but reading on it, the only flashcard that supports newer firmwares (and continual updates it seems) is Sky3ds+. And that card do not play DS games.

    Now I want to be able to update my system for safety reasons (dont know how safe though) and also im planning on playing online for some games (monster hunter, super smash bros). So now im wondering :

    Is it better to just buy a new Nintendo DSi and get a card for that (since they are VERY cheap now) or is there some card that supports pretty much all? Firmware updates, ease of use, DS games, 3DS games? Please tell me.
     


  2. Dionicio3

    Dionicio3 https://gbatemp.net/forums/gbatemp-scene-news.101/

    Member
    3,091
    4,356
    Feb 26, 2017
    United States
    https://gbatemp.net/forums/gbatemp-scene-news.101/
    What is your 3DS firmware?
     
  3. fetoll
    OP

    fetoll Newbie

    Newcomer
    7
    0
    May 1, 2017
    Newest one. 11.4.0
     
  4. Dionicio3

    Dionicio3 https://gbatemp.net/forums/gbatemp-scene-news.101/

    Member
    3,091
    4,356
    Feb 26, 2017
    United States
    https://gbatemp.net/forums/gbatemp-scene-news.101/
    You may need to buy two flashcarts, a Sky3DS+ for 3DS roms, and a DSTwo for DS, GBA, and SNES, and lots of other stuff
     
    Quantumcat and cvskid like this.
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,790
    4,976
    Mar 17, 2010
    Norway
    Alola
    You can get a separate cart for DS games. The only cart that supports both DS and 3DS games is the DSTWO+ and that doesn't support 3DS games on the latest firmware.
    If you hadn't updated to 11.4 you could have hacked your console and installed CFW, ran 3DS games off the internal MicroSD and just dedicated the cartridge slot to a DS flashcart.
     
    Lilith Valentine and Quantumcat like this.
  6. Ryccardo

    Ryccardo WiiUaboo

    Member
    3,025
    1,455
    Feb 13, 2015
    Italy
    Imola
    There is by definition no flashcard that does DS and 3DS simultaneously because the communication protocols are relatively different.

    The Supercard DSTWO+ can be made to run DS and 3DS on a single physical card, however the mode must still be manually changed (no unified rom selection menu) and for all most know, the 3DS mode is an unsupported and therefore dangerous Gateway clone.

    Most people recommend against expensive 3DS flashcards in any form; indeed you can install games without one if you are NOT on 11.4, and if you are, selling your console and buying another can cost less than an orange-button Sky!
     
    jupitteer and slaphappygamer like this.
  7. SomecallmeBerto

    SomecallmeBerto The Anti-Hero

    Member
    1,097
    655
    Dec 17, 2014
    United States
    USA
    R4i Gold 3DS...works on the latest as it's what I have.
     
  8. fetoll
    OP

    fetoll Newbie

    Newcomer
    7
    0
    May 1, 2017
    As i said. I want to be able to update my console. Don't ask me why. Or yes. you can ask. So i can play games online.
     
  9. Quantumcat

    Quantumcat Dead and alive

    Member
    10,357
    5,469
    Nov 23, 2014
    Australia
    Canberra, Australia
    You could have installed a9lh THEN updated :facepalm:
     
    Dav_Dabz, Ryccardo and Skyshadow101 like this.
  10. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,420
    May 1, 2016
    United States
    iirc, Luma3DS also does patching so you can go online, even on an outdated FW. Granted, Luma3DS supports the latest FW, so if you had gotten CFW, you'd still would have been able to update to the latest FW.

    And Nintendo hasn't added any new functionality with new FW updates. Only "stability" - which is just patching exploits. Also, iirc 11.3 introduced slowdown, which Luma3DS was actually trying to fix. Though as of 11.4, the slowdown introduced in 11.3 is no longer there.
     
  11. SLiV3R

    SLiV3R 3DS Friend Code: 0473-9069-2206

    Member
    2,194
    1,042
    Jan 9, 2006
    If you are a huge noob like you are saying in your OP, I wouldnt recomend A9LH. Its too complicated.

    sky3ds+ is probably your best choice! (Even though it doesnt support it all)
     
    slaphappygamer likes this.
  12. slaphappygamer

    slaphappygamer GBAtemp Maniac

    Member
    1,041
    156
    Nov 30, 2008
    United States
    California
    The r4i 3ds gold rts works for ds games. It runs great on my n3ds 11.4.
     
  13. LiveLatios

    LiveLatios Profesionnal Scalie

    Member
    1,079
    513
    Nov 16, 2015
    Canada
    why
    it's become noob proof. if you can read, you can install a9lh
     
    DavidinCT likes this.
  14. Quantumcat

    Quantumcat Dead and alive

    Member
    10,357
    5,469
    Nov 23, 2014
    Australia
    Canberra, Australia
    I think he knows that, and was using that fact to subtly insult the OP :-)
     
    nechigawara and Dionicio3 like this.
  15. jupitteer

    jupitteer byErman™

    Member
    801
    661
    Feb 17, 2017
    Antarctica
    Inkopolis
    Use the r4i gold. You can buy it at nds-card.com, it is on the left column.
     
  16. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,676
    20,395
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    You can do that with CFWs. By updating to 11.4 without researching beforehand, you basically cornered yourself. You could have easily setup a CFW on 11.3 and went with an R4i Gold. This would have given you everything you are asking for, but now you can't. Best we can do is suggest a Sky3DS and an R4i Gold
     
    nechigawara likes this.
  17. jupitteer

    jupitteer byErman™

    Member
    801
    661
    Feb 17, 2017
    Antarctica
    Inkopolis
    With Sky3ds, you can't play online. You would have to rip a header from your own physical cartridge, which you clearly don't have. You will get banned if you go online with a Sky3ds.
     
    nechigawara likes this.
  18. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,165
    389
    Oct 14, 2006
    Thailand
    Planeptune
    Since he already on 11.4, he need to stuck with Sky3DS until the new exploit come.
    Just don't go online with public header, or you would get banned like @jupitteer mention.
     
  19. Pacheko17

    Pacheko17 かっこい男の子

    Member
    1,167
    1,083
    Jan 31, 2015
    Brazil
    Southern Confederation
    Sell your 3DS.
    Get a new one on older FW.
    Get A9LH and Luma.
    Update to latest firmware.

    Profit
    It'll be like nothing changed besides the fact you have piracy.
    DS games can be run from CFW too ( some of them at least, compatibility is increasing ).
     
  20. fetoll
    OP

    fetoll Newbie

    Newcomer
    7
    0
    May 1, 2017
    I am very confused. So does Sky3ds+ play online or not? And do R4i work with the newest firmware? As I said I am not comfortable enough to homebrew anything. And getting a new 3ds for the same price I bought it for can be a challenge since it was VERY cheap.